> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get borrowing rate & limits

GET https://www.okx.com/api/v5/account/interest-limits

Retrieve the borrowing rate and quota limits for VIP or regular loans by currency.

Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-interest-limits

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `type` (enum, optional) — Loan type: 1 VIP loans, 2 Market loans.
  - Allowed values: `1`, `2`
- `ccy` (string, optional) — Loan currency, e.g. BTC.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItems

- `debt` (string, optional) — Total liabilities in USDT.
- `interest` (string, optional) — Total interest in USDT.
- `nextDiscountTime` (string, optional) — Next deduction time, Unix timestamp in milliseconds.
- `nextInterestTime` (string, optional) — Next interest accrual time, Unix timestamp in milliseconds.
- `loanAlloc` (string, optional) — VIP loan allocation for the sub-account.
- `records` (list of ApiV5AccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItemsRecordsItems, optional) — Details by currency.

### ApiV5AccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItemsRecordsItems

- `ccy` (string, optional) — Loan currency.
- `rate` (string, optional) — Daily borrow rate.
- `loanQuota` (string, optional) — Borrow limit of master account.
- `surplusLmt` (string, optional) — Available amount across all sub-accounts.
- `usedLmt` (string, optional) — Used amount across all sub-accounts.
- `interest` (string, optional) — Interest to be deducted.
- `posLoan` (string, optional) — Frozen amount for current account, only for VIP loans.
- `availLoan` (string, optional) — Available amount of the currency for the current account.
- `usedLoan` (string, optional) — Borrowed amount of the currency for the current account.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "debt": "0.85893159114900247077000000000000",
      "interest": "0.00000000000000000000000000000000",
      "nextDiscountTime": "1729490400000",
      "nextInterestTime": "1729490400000",
      "loanAlloc": "",
      "records": [
        {
          "ccy": "BTC",
          "rate": "0.0000276",
          "loanQuota": "175.00000000",
          "surplusLmt": "175.00000000",
          "usedLmt": "0.00000000",
          "interest": "0",
          "posLoan": "",
          "availLoan": "",
          "usedLoan": "",
          "avgRate": "",
          "interestFreeLiab": "",
          "potentialBorrowingAmt": "",
          "surplusLmtDetails": {}
        }
      ]
    }
  ]
}
```

**SDK Code**

```python account_getInterestLimits_example
import requests

url = "https://www.okx.com/api/v5/account/interest-limits"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript account_getInterestLimits_example
const url = 'https://www.okx.com/api/v5/account/interest-limits';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go account_getInterestLimits_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/interest-limits"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby account_getInterestLimits_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/interest-limits")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java account_getInterestLimits_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/account/interest-limits")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php account_getInterestLimits_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/account/interest-limits', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp account_getInterestLimits_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/interest-limits");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift account_getInterestLimits_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/interest-limits")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```